Aller au contenu
ShopentlyLearn

Statuts de commande disponibles

Récupérez les statuts disponibles dans votre boutique. Chaque statut possède un nom et un identifiant pour filtrer les commandes ou changer leur statut.

GET/api/v1/order-statuses

Requête cURL

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request GET \
  --url 'https://shop.onshopently.com/api/v1/order-statuses?limit=20' \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN'

Réponse

{
  "data": [
    {
      "created_at": "2026-01-01T12:00:00Z",
      "id": "status-0",
      "is_initial": true,
      "name": "New",
      "position": 0
    },
    {
      "created_at": "2026-01-01T12:00:00Z",
      "id": "status-1",
      "is_initial": false,
      "name": "Processing",
      "position": 1
    }
  ],
  "meta": {
    "pagination": {
      "has_more": false,
      "limit": 20,
      "next_cursor": null
    },
    "request_id": "example"
  }
}

Autorisations requises

Authentification
Jeton d’accès
Disponible à partir de
BASIC
Autorisation de la clé
Afficher les commandesorders.order:read